# Class SignContractResponse

#### Hierarchy

- unknown
  - SignContractResponse

- Defined in src/protobuf/pb_pb.d.ts:1213
- Defined in src/protobuf/pb_pb.d.ts:1244

#####
Index

### Constructors

constructor

### Methods

getContractAsJson
getContractSignature
getContractSignature_asB64
getContractSignature_asU8
getCurrentDate
getEncryptedPaymentAccountPayload
getEncryptedPaymentAccountPayload_asB64
getEncryptedPaymentAccountPayload_asU8
getTradeId
getUid
serializeBinary
setContractAsJson
setContractSignature
setCurrentDate
setEncryptedPaymentAccountPayload
setTradeId
setUid
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new SignContractResponse(): SignContractResponse

- #### Returns SignContractResponse

  Inherited from jspb.Message.constructor

## Methods

### getContractAsJson

- getContractAsJson(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1223

### getContractSignature

- getContractSignature(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1226

### getContractSignature_asB64

- getContractSignature_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1228

### getContractSignature_asU8

- getContractSignature_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1227

### getCurrentDate

- getCurrentDate(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:1220

### getEncryptedPaymentAccountPayload

- getEncryptedPaymentAccountPayload(): string | Uint8Array

- #### Returns string | Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1231

### getEncryptedPaymentAccountPayload_asB64

- getEncryptedPaymentAccountPayload_asB64(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1233

### getEncryptedPaymentAccountPayload_asU8

- getEncryptedPaymentAccountPayload_asU8(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1232

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1214

### getUid

- getUid(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:1217

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:1236

### setContractAsJson

- setContractAsJson(value: string): SignContractResponse

- #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1224

### setContractSignature

- setContractSignature(value: string | Uint8Array): SignContractResponse

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1229

### setCurrentDate

- setCurrentDate(value: number): SignContractResponse

- #### Parameters

  - ##### value: number

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1221

### setEncryptedPaymentAccountPayload

- setEncryptedPaymentAccountPayload(value: string | Uint8Array): SignContractResponse

- #### Parameters

  - ##### value: string | Uint8Array

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1234

### setTradeId

- setTradeId(value: string): SignContractResponse

- #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1215

### setUid

- setUid(value: string): SignContractResponse

- #### Parameters

  - ##### value: string

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1218

### toObject

- toObject(includeInstance?: boolean): SignContractResponse.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns SignContractResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1237

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): SignContractResponse

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1240

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SignContractResponse, reader: BinaryReader): SignContractResponse

- #### Parameters

  - ##### message: SignContractResponse

  - ##### reader: BinaryReader

  #### Returns SignContractResponse

  - Defined in src/protobuf/pb_pb.d.ts:1241

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: SignContractResponse, writer: BinaryWriter): void

- #### Parameters

  - ##### message: SignContractResponse

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:1239

### `Static` toObject

- toObject(includeInstance: boolean, msg: SignContractResponse): SignContractResponse.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SignContractResponse

  #### Returns SignContractResponse.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:1238

Generated using TypeDoc